<?php 
Class Fecha_Aux4 {
	static public function lista_de_stop_words_tipicas_en_fechas() {
		//Stop words: Las expresiones de abajo corresponden a ciertas localizaciones de fechas:
		//Esta función suministra palabras dentro del listado (separado por espacios), y en 
		//el idioma por defecto, de $palabras_tipicas_en_fechas. 
		//El listado de palabras_tipicas_en_fechas es en str, para minimizar la sintaxis
		//Hay un gran grupo de palabras que son las de funciones, como mmm, mmmm, 
		//y otras que no tienen significado y no requieren tratamiento más que ser escapadas.
		$palabras_tipicas_en_fechas = "del día año de";
		$palabras_tipicas_en_fechas = preg_split("~\s~", $palabras_tipicas_en_fechas ); 
		$palabras_tipicas_en_fechas = array_map(function ($l) { return trim($l); }, $palabras_tipicas_en_fechas);
		return $palabras_tipicas_en_fechas;
	} //Fin de lista_de_stop_words_tipicas_en_fechas
		
	static public function escapar_para_fecha($str_a_tratar, $p) {
		//##ABAJO: nótese que el reemplazo de abajo cumple dos particularidades en php: 
		//1. es case insensitive, por el PCRE modifier "i". 
		//2. reemplaza en todas las ocurrencias, así sean varias, sin importar case sensitive
		//Ejemplo: "16 de marzo de 2026", lo cambia por ""
		$p_escapado   = preg_replace("~(?!$)~", "\\", $p);
		$str_a_tratar = preg_replace("~$p~i", $p_escapado, $str_a_tratar);
		return $str_a_tratar;
	} //Fin de escapar_para_fecha
	
	static public function normalizar_stop_word($str_a_tratar) {
		$str_a_tratar = strtolower(trim($str_a_tratar));
		return $str_a_tratar;
	} //Fin de normalizar_stop_word
} //Fin de Fecha_Aux4